API ReferenceapiclinicalGET /v1/wearables/metrics

GET /v1/wearables/metrics

Service: clinical · operationId: (none)

List the current patient’s wearable metrics and visibility settings

Required scopes

(no scope declared — review service config)

Responses

200 Wearable metrics

{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "provider": {
        "type": "string"
      },
      "metric": {
        "type": "string"
      },
      "label": {
        "type": "string"
      },
      "value": {
        "type": "string"
      },
      "show_on_optimize": {
        "type": "boolean"
      }
    },
    "required": [
      "provider",
      "metric",
      "label",
      "value",
      "show_on_optimize"
    ]
  }
}

400 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 Wearable connection not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

502 Upstream dependency error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://clinical.platform.loop.health/v1/wearables/metrics \
  -H "Authorization: Bearer $ACCESS_TOKEN"